Page tree
Skip to end of metadata
Go to start of metadata

index

Introduction

To update the console from version 1.x to 2.x, download the full installer (not the service pack) and perform the installation.

In other cases, follow the instructions that appear below.

GNU/Linux

Check version

  • Current version of your Soffid installation can be obtained by navigating to: Start - Main Menu - Soffid Configuration - Soffid parameters.

         

 

  • In the table below, the parameter component.iam.common.version shows the current installed version.

         

                                          The current iam-ear.ear version.

Download the latest version

First, please download the iam-ear.ear latest version file from: http://www.soffid.com/download/enterprise/ 

         


Stop soffid-iamconsole service

Open a command console instance and stop the service:

Upgrade files

iam-ear.ear file

  • If you are using version 1.x, please go to folder '/opt/soffid/iam-console/jboss/server/default/soffid'; if you are using version 2.x, please go to folder '/opt/soffid/iam-console-2/soffid
  • Rename the file 'iam-ear.ear' to 'iam-ear.ear-OLD1'
  • Copy the ear downloaded file from download folder to current directory.
  • Rename the file 'Soffid Console-Service pack(ear)-2.6.0.ear', for 'iam.ear.ear'

iam-tomee.jar file

  • Please, go to folder 'opt/soffid/iam-console-2/lib'
  • Locate and rename file 'iam-tomee.jar' to 'iam-tomee.jar-OLD1'
  • Copy the jar downloaded file from download folder to current directory.
  • Rename the new file as 'iam-tomee.jar'

deployer.jar file

  • Please, go to folder 'opt/soffid/iam-console-2/apps'
  • Locate and rename file 'deployer.jar' to 'deployer.jar-OLD1'
  • Move this file to another directory, maybe to 'opt/soffid/iam-console-2'
  • Copy the jar downloaded file from download folder to 'opt/soffid/iam-console-2/apps'
  • Rename the new file as 'deployer-jar'

 

The last two files, iam-tomee.jar and deployer.jar, are not available for download from our web. Please, contact us and we will share the files through another platform.

Restart soffid-iamconsole service

Open a command console instancia and restart the service:

Upgrade confirmation

  • Verify the service has restarted succesfully by typing the following command and press Intro:

  • If service is running, next message is shown:

  • Check your version through the Soffid console:

  • Check the version of the core files:

Microsoft® Windows™

Check version

  • Current version of your Soffid installation can be obtained by navigating to: Start - Main Menu - Soffid Configuration - Soffid parameters.

         

 

  • In the table below, the parameter component.iam.common.version shows the current installed version.

         

                                          The current iam-ear.ear version.

Download the latest version

         

                                              Select and download the latest version.

Stop soffid-iamconsole service

  • Secondly, please type in search for Windows 'Services.msc' and stop soffid-iamconsole service:

 

 

 

 

 

 

 

 

 

 

 

 

 




Locate iam-ear.ear file and upgrade console

  • If you are using version 1.x, please go to folder 'C:\Program Files (x86)\Soffid\IAM-Console\jboss\server\default\soffid'; if you are using version 2.x, please go to folder 'C:\Program Files\Soffid\IAM-Console-2\soffid
    Rename the file 'iam-ear.ear' to 'OLD-iam-ear.ear'






  • Copy the latest iam-ear.ear file from you download folder and paste it in the previous folder. Rename the file 'iam-ear-xxxx.ear', where xxxx is the version number, for 'iam.ear.ear'






 

Proceed with iam-tomee.jar and deployer.jar files as same as Linux operating system: rename both original files as shown, move deployer.jar-OLD1 to another directory, copy the downloaded files and rename as shown.

Restart soffid-iamconsole service

  • Finally, run the soffid-iamconsole service, and that's it!

Upgrade confirmation

  • Please, just ensure the task was successfully done. For confirmation, please check your version again in the Soffid panel.


Now, please check whether there is a new Sync Server Version. In that case, please upgrade it following these steps:

 Upgrade Sync Server

  • No labels